chat/farstream - The NetBSD Packages Collection

Audio/video communications framework

The Farstream (formerly Farsight) project is an effort to create
a framework to deal with all known audio/video conferencing protocols.
On one side it offers a generic API that makes it possible to write
plugins for different streaming protocols, on the other side it
offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging
applications. These applications should be able to use Farstream
for all their Audio/Video conferencing needs without having to
worry about any of the lower level streaming and NAT traversal
issues.

Farstream forms an integral part of the Telepathy framework. It is
used by Empathy through the Telepathy-Farstream library. The
Telepathy-Farstream library binds it to the Connection Managers
via D-Bus and the Telepathy Media Stream Spec and is used for all
their streaming requirements.

Build dependencies

textproc/gtk-doc pkgtools/cwrappers textproc/gtk-doc devel/glib2-tools devel/libtool-base devel/automake devel/autoconf devel/gmake devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 multimedia/gst-plugins1-base multimedia/gst-plugins1-base multimedia/gstreamer1 multimedia/gstreamer1 net/gupnp-igd net/libnice net/libnice devel/glib2 multimedia/gst-plugins1-base multimedia/gstreamer1 net/gupnp-igd net/libnice

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffarstream-0.2.9nb4.tgz
NetBSD 8.0earmv7hffarstream-0.2.9nb3.tgz
NetBSD 8.0earmv7hffarstream-0.2.9nb4.tgz
NetBSD 8.0i386farstream-0.2.9nb3.tgz
NetBSD 8.0i386farstream-0.2.9nb4.tgz
NetBSD 8.0i386farstream-0.2.9nb4.tgz
NetBSD 8.0x86_64farstream-0.2.9nb4.tgz
NetBSD 8.0x86_64farstream-0.2.9nb3.tgz
NetBSD 8.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0aarch64farstream-0.2.9nb4.tgz
NetBSD 9.0aarch64farstream-0.2.9nb3.tgz
NetBSD 9.0aarch64farstream-0.2.9nb4.tgz
NetBSD 9.0alphafarstream-0.2.9nb4.tgz
NetBSD 9.0alphafarstream-0.2.9nb3.tgz
NetBSD 9.0alphafarstream-0.2.9nb4.tgz
NetBSD 9.0earmfarstream-0.2.9nb3.tgz
NetBSD 9.0earmfarstream-0.2.9nb4.tgz
NetBSD 9.0earmv6hffarstream-0.2.9nb4.tgz
NetBSD 9.0earmv6hffarstream-0.2.9nb3.tgz
NetBSD 9.0earmv6hffarstream-0.2.9nb4.tgz
NetBSD 9.0earmv6hffarstream-0.2.9nb4.tgz
NetBSD 9.0earmv7hffarstream-0.2.9nb4.tgz
NetBSD 9.0earmv7hffarstream-0.2.9nb3.tgz
NetBSD 9.0earmv7hffarstream-0.2.9nb4.tgz
NetBSD 9.0earmv7hffarstream-0.2.9nb4.tgz
NetBSD 9.0i386farstream-0.2.9nb3.tgz
NetBSD 9.0i386farstream-0.2.9nb4.tgz
NetBSD 9.0i386farstream-0.2.9nb4.tgz
NetBSD 9.0mips64ebfarstream-0.2.9nb4.tgz
NetBSD 9.0mips64ebfarstream-0.2.9nb4.tgz
NetBSD 9.0sparc64farstream-0.2.9nb4.tgz
NetBSD 9.0sparc64farstream-0.2.9nb3.tgz
NetBSD 9.0sparc64farstream-0.2.9nb3.tgz
NetBSD 9.0sparc64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb3.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz
NetBSD 9.0x86_64farstream-0.2.9nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.